net.i2p.util

## Class LogLimit

- java.lang.Object
- - net.i2p.util.LogLimit

     class LogLimit
    extends Object

Defines the log limit for a particular set of logs

### Constructor Summary

Constructors
Constructor and Description
`LogLimit(String name, int limit)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`int` `getLimit()`
`String` `getRootName()`
`int` `hashCode()`
`boolean` `matches(Log log)`
`void` `setLimit(int limit)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogLimit

    public LogLimit(String name,
            int limit)

### Method Detail

#### getRootName

    public String getRootName()

#### getLimit

    public int getLimit()

#### setLimit

    public void setLimit(int limit)

#### matches

    public boolean matches(Log log)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`